Subject: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Mar 2021 09:48:49 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 14 Mar 2021 07:31:14 +0000
> 
> >> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47067#98>
> >
> > Shouldn't that bump the ABI number as well?
> 
> Right good point I think it should.
> 
> Anyway thinking about: this should be good for a quick test maybe
> removing (or renaming) the discussed .eln.  But if it proves this to be
> the bug you'll have to rebuild from scratch to have a reliable system
> anyway , as the ABI number will not cover us for the native code that
> was already dumped with the image.

Sorry, I don't understand: what is the procedure for testing this
patch?

I thought I should do this, in the order specified:

  . apply the patch
  . increase the ABI version
  . rebuild Emacs
  . natively-compile all the preloaded Lisp files, then redump Emacs
  . visit a C file and let Emacs native-compile all the cc-*.el files
  . restart Emacs and try reproducing the crash

Are there any shortcuts that don't run the risk of invalidating the
test results?  Since we are changing something so basic in how Lisp is
native-compiled, and since non-local exits are so common on our
sources, can I really do less than the above and be sure the solution
works reliably?